spring:
  application:
    name: tsi-api-server
  datasource:
    mybatis:
      platform: mariadb
      driver-class-name: org.mariadb.jdbc.Driver
      username: cvim
      password: 44Klctest$$
      jpool-name: hikari-cp
      jmaximum-pool-size: 30
      jminimum-idle: 2

#management:
#  endpoints:
#    prometheus:
#      enabled: true
#    web:
#      exposure:
#        include: "*"
#    health:
#      show-details: "always"
#  security:
#    enabled: false

server:
  port: 8444
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
#  tomcat:
#    mbeanregistry:
#      enabled: true
---
spring:
  profiles: wonju
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://10.4.4.20:3307/cvim_db?characterEncoding=UTF-8&serverTimezone=Asia/Seoul

---
spring:
  profiles: seoul
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://10.4.4.20:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=Asia/Seoul

---
spring:
  profiles: dev
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://10.4.4.20:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=Asia/Seoul
